summaryrefslogtreecommitdiffstats
path: root/system
diff options
context:
space:
mode:
author B. Watson2015-05-30 02:15:05 +0200
committer Willy Sudiarto Raharjo2015-05-31 05:36:25 +0200
commit9e53a0816d670589e19a462bbcfe1720d9b24d04 (patch)
tree7c04a454d00ba319e7acb9f9754222e06fb417ba /system
parente02a85dd19d7905fb997078e2aa56d4605391c86 (diff)
downloadslackbuilds-9e53a0816d670589e19a462bbcfe1720d9b24d04.tar.gz
system/solarize-12x29-psf: Added (large linux console font).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'system')
-rw-r--r--system/solarize-12x29-psf/README14
-rw-r--r--system/solarize-12x29-psf/slack-desc19
-rw-r--r--system/solarize-12x29-psf/solarize-12x29-psf.SlackBuild42
-rw-r--r--system/solarize-12x29-psf/solarize-12x29-psf.info10
4 files changed, 85 insertions, 0 deletions
diff --git a/system/solarize-12x29-psf/README b/system/solarize-12x29-psf/README
new file mode 100644
index 0000000000..75ee0c916f
--- /dev/null
+++ b/system/solarize-12x29-psf/README
@@ -0,0 +1,14 @@
+solarize-12x29-psf (large linux console font)
+
+This package provides a large size 512 glyph console font. It is
+especially designed for prolonged word processing in multiple languages.
+
+Because this font contains over 256 glyphs, the hardware bold text property
+of your console will be turned off.
+
+To make this the system default font, edit /etc/rc.d/rc.font and change
+the setfont line to read:
+
+ setfont -v Solarize.12x29
+
+Don't forget to chmod +x /etc/rc.d/rc.font.
diff --git a/system/solarize-12x29-psf/slack-desc b/system/solarize-12x29-psf/slack-desc
new file mode 100644
index 0000000000..a3baecf35e
--- /dev/null
+++ b/system/solarize-12x29-psf/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+solarize-12x29-psf: solarize-12x29-psf (large linux console font)
+solarize-12x29-psf:
+solarize-12x29-psf: This package provides a large size 512 glyph console font. It
+solarize-12x29-psf: is especially designed for prolonged word processing in multiple
+solarize-12x29-psf: languages.
+solarize-12x29-psf:
+solarize-12x29-psf: Because this font contains over 256 glyphs, the hardware bold text
+solarize-12x29-psf: property of your console will be turned off.
+solarize-12x29-psf:
+solarize-12x29-psf:
+solarize-12x29-psf:
diff --git a/system/solarize-12x29-psf/solarize-12x29-psf.SlackBuild b/system/solarize-12x29-psf/solarize-12x29-psf.SlackBuild
new file mode 100644
index 0000000000..9acde6ddc8
--- /dev/null
+++ b/system/solarize-12x29-psf/solarize-12x29-psf.SlackBuild
@@ -0,0 +1,42 @@
+#!/bin/sh
+
+# Slackware build script for solarize-12x29-psf
+
+# Written by B. Watson (yalhcru@gmail.com)
+
+# Licensed under the WTFPL. See http://www.wtfpl.net/txt/copying/ for details.
+
+PRGNAM=solarize-12x29-psf
+VERSION=${VERSION:-20150529}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+ARCH=noarch
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+chmod 644 *
+
+mkdir -p $PKG/usr/share/kbd/consolefonts
+install -m0644 *.psfu.gz $PKG/usr/share/kbd/consolefonts
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a LICENSE README *txt $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/system/solarize-12x29-psf/solarize-12x29-psf.info b/system/solarize-12x29-psf/solarize-12x29-psf.info
new file mode 100644
index 0000000000..c163f58194
--- /dev/null
+++ b/system/solarize-12x29-psf/solarize-12x29-psf.info
@@ -0,0 +1,10 @@
+PRGNAM="solarize-12x29-psf"
+VERSION="20150529"
+HOMEPAGE="https://github.com/talamus/solarize-12x29-psf"
+DOWNLOAD="http://urchlay.naptime.net/~urchlay/src/solarize-12x29-psf-20150529.tar.gz"
+MD5SUM="a43342ae0d02a2c0d19909a52681f9e1"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="B. Watson"
+EMAIL="yalhcru@gmail.com"